unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, jpeg;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Image1: TImage;
    Edit1: TEdit;
    Timer2: TTimer;
    Memo1: TMemo;
    procedure Timer1Timer(Sender: TObject);
    procedure Edit1Click(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Edit1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3, Unit4;

{$R *.dfm}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
Edit1.Text:=FormatDateTime('hh:mm:ss', time()); // Показывать текущее время в Edit1
end;

procedure TForm1.Edit1Click(Sender: TObject);
begin
Form2.Show;  // Показать меню часов
end;

procedure TForm1.Timer2Timer(Sender: TObject);
begin
Edit1.Text:=FormatDateTime('dd.mm.yy', Date()); // Показывать текущую дату в Edit1
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Form1.Memo1.Lines.LoadFromFile('Time.txt'); // при запуске проги загружать данные из файла Time.txt в Form1.Memo1

end;

procedure TForm1.Edit1DblClick(Sender: TObject);
begin
Form2.Timer1.Enabled:=false; // Если юзер щелкнул крысой по
Form1.Close;
Form2.Close;                // дисплею два раза, то: закрыть
Form3.Close;
Form4.Close;                // все окна проги и выйти из нее.
end;

end.
